Bug 161683 - -N produces needlessly verbose output
Summary: -N produces needlessly verbose output
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: tar   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-25 16:27 UTC by Joe Bayes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-28 09:54:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Bayes 2005-06-25 16:27:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I use the -N option to exclude older files from my tar archive, tar prints out a warning line for each file excluded:

tar: jane/aol.ini: file is unchanged; not dumped

This is resulting in multi-megabyte error logs for performing a perfectly normal operation. The excessive verbiage obscures any useful error messages that tar might be printing. 

Version-Release number of selected component (if applicable):
tar-1.15.1-5

How reproducible:
Always

Steps to Reproduce:
1.touch -d "0:00" foo
2.touch -d "23:59" bar
3.tar cf foo.tar -N "now" foo bar
  

Actual Results:  tar created the archive containing only bar, and printed out 
tar: foo: file is unchanged; not dumped


Expected Results:  tar should have quietly created the archive

Additional info:

Comment 1 Peter Vrabec 2005-06-28 09:54:21 UTC
This tar behaviour is typical for all releases and it doesn't seem like a bug.

Use:
$tar cf foo.tar -N "now" foo bar 2> /dev/null
or contact the upstream.

Comment 2 Joe Bayes 2005-06-28 10:29:13 UTC
Just another comment: I started seeing this behavior in my logs the evening
after I upgraded from FC3 to FC4, so I assumed that tar was what had changed.
However, after downgrading to tar 1.14-4 from FC3, I still have the excessively
verbose behavior. So I'm not sure what changed, but I guess the change wasn't in
tar. I'd still like to figure out what it was and turn it off (without throwing
out all the useful stuff on stderr as well.)

tar doesn't print out a list of what it excludes when you use the --exclude
option, why should it do so with the -N option?


Note You need to log in before you can comment on or make changes to this bug.